# Update IP allowlist settings

Update the IP allowlist configuration for the workspace.
The API will reject updates that would lock out the caller's IP address. Ensure your current IP is included in the allowlist when enabling the feature.

Endpoint: PUT /ip_allowlist
Version: 2.16
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)

## Request fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value `ip_allowlist`.
    Example: ip_allowlist

  - `enabled` (boolean)
    Whether the IP allowlist is enabled for the workspace.
    Example: true

  - `ip_allowlist` (array)
    List of allowed IP addresses and/or IP ranges in CIDR notation.
Examples:
- Single IP: `192.168.0.1`
- IP range: `192.168.0.1/24` (allows 192.168.0.0 - 192.168.0.255)
    Example: ["192.168.1.0/24","10.0.0.1"]

## Response 200 fields (application/json):

  - `type` (string)
    String representing the object's type. Always has the value `ip_allowlist`.
    Example: ip_allowlist

  - `enabled` (boolean)
    Whether the IP allowlist is enabled for the workspace.
    Example: true

  - `ip_allowlist` (array)
    List of allowed IP addresses and/or IP ranges in CIDR notation.
Examples:
- Single IP: `192.168.0.1`
- IP range: `192.168.0.1/24` (allows 192.168.0.0 - 192.168.0.255)
    Example: ["192.168.1.0/24","10.0.0.1"]

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

## Response 422 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: error.list

  - `request_id` (string)
    Example: f93ecfa8-d08a-4325-8694-89aeb89c8f85

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: unauthorized

  - `errors.message` (string)
    Optional. Human readable description of the error.
    Example: Access Token Invalid

  - `errors.field` (string)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: email

